Item click

This event marks the clicking on an item in a product collection from Tweakwise

💡

Using the Tweakwise JS implementation?

When using the Tweakwise JS implementation, this event is automatically submitted when the base script is included. You won't need any additional implementation for this event.

To the API-reference

How to implement?

<!-- INSTANCE_KEY SESSION_KEY and PROFILE_KEY are inherited from the base tag -->
<script>
  tweakwiseLayer.push({
    event: 'itemClick',
    data: {
  	  itemId: 'ITEM_ID',
    	requestId: 'REQUEST_ID'
    }
  });
</script>
curl --request POST \
     --url 'https://navigator-analytics.tweakwise.com/api/itemclick?instanceKey=INSTANCE_KEY' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "RequestId": "REQUEST_ID",
  "ItemId": "ITEM_ID",
  "SessionKey": "SESSION_KEY",
  "ProfileKey": "PROFILE_KEY"
}
'

Parameters

NameTypeRequiredDescription
INSTANCE_KEYURL-parameter - textyesYour Tweakwise Instance Key
REQUEST_IDBody parameter - textyesThe ID of the Tweakwise request for the current page. Read more about the request ID here
ITEM_IDBody parameter - textyesThe Tweakwise Item ID of the item that's clicked on
SESSION_KEYBody parameter - textyesThe session key for the specific user. This can be your own session key, GA session. As long as it's consistent over the user's session.
Allowed characters: alphanumeric and hyphens
PROFILE_KEYBody parameter - textyesThe ID that identifies the current visitor. Read more about the profile key here

When do I submit this event?

Submit this event for a single click on a product that is returned in a collection that was provided by the Tweakwise navigation API.

Where do I implement this event in the code?

On every page where you show a collection of products that is retrieved from the Tweakwise Delivery API:

  • Merchandising pages (category pages, landing pages, search result page)
  • Pages that contain Tweakwise recommendations
  • Pages that contain Tweakwise Guided Selling

How to handle event-specific warnings from Tweakwise

⚠️No ItemClicks received in the last 4 days

Description

No ItemClicks events have been received in the last 4 days.

Possible solution

Verify that product click tracking in search and category results is properly configured and triggered upon a click.

⚠️SessionKey: xx% missing/ItemId: xx% missing

Description

More than 0.5% of the ItemClicks events are missing the SessionKey or ItemId.

Possible solution

Inspect the data layer script on category and search pages to ensure both the clicked product ID and the session key are present.

⚠️ItemId: xx% not found

Description

More than 7% of the ItemClicks events contain an ItemId that cannot be found in the Tweakwise catalog/feed.

Possible solution

Ensure the product feed/catalog in Tweakwise is up to date and that the item IDs in the Tweakwise App match the IDs sent via the tracking tag exactly.

⚠️Mismatched sessionkeys in this event and SessionStart (xx%)

Description

More than 5% of the ItemClicks events lack a matching SessionStart event for the SessionKey.

Possible solution

Check session handling on the website and ensure that the SessionKey remains consistent throughout the user journey.

Please share your findings with your implementation partner. If they have questions about these messages, please have them contact [email protected]